package MT::Plugin::InvalidateLinkOfInsertTag;

use strict;

require MT::Plugin;
require MT;

my $plugin = MT::Plugin->new({
    name => "Invalidate link of insert tag",
    description => 'Invalidate link of insert tag.'
});
MT->add_plugin($plugin);

MT->add_callback('bigpapi::template::edit_entry', 9, $plugin, \&invalidate_link_of_insert_tag);

sub invalidate_link_of_insert_tag {
    my ($cb, $app, $template) = @_;
    $$template =~ s/href="#"/href="javascript:void(0)"/g;
}

1;
